PGAMutate(3)

NAME
PGAMutate - This routine performs mutation on a string.

DESCRIPTION
The type of mutation depends on the data type. Refer to the user guide for data-specific examples.

INPUT PARAMETERS
ctx - context variable
p   - index of string to mutate
pop - symbolic constant of the population containing p

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAMutate(ctx, p, pop)
PGAContext *ctx
int p
int pop

LOCATION
mutation.c

EXAMPLE
Example:
Mutate the best string in the population, until 10 or more mutations
have occured.

PGAContext *ctx;
int p, count = 0;
:
p = PGAGetBestIndex(ctx, PGA_NEWPOP);
while (count < 10) {
count += PGAMutate(ctx, p, PGA_NEWPOP);
}